Bug 436340 - Review Request: ggobi - Open source visualization for exploring high-dimensional data
Review Request: ggobi - Open source visualization for exploring high-dimensio...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-06 11:50 EST by Marek Mahut
Modified: 2009-01-07 13:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 05:59:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2008-03-06 11:50:40 EST
Spec URL: http://mmahut.fedorapeople.org/reviews/ggobi/ggobi.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/ggobi/ggobi-2.1.7-1.fc8.src.rpm
Koji rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=497527
Description: GGobi is an open source visualization program for
exploring high-dimensional data. It provides highly dynamic
and interactive graphics such as tours, as well as familiar
graphics such as the scatterplot, barchart and parallel coordinates plots.
Plots are interactive and linked with brushing and identification.
Comment 1 Lubomir Kundrak 2008-03-06 12:19:14 EST
1.) Please fix your desktop file:

ggobi.desktop: error: value "Application;Astronomy;Science;Education" for string
list key "Categories" in group "Desktop Entry" does not have a semicolon (';')
as trailing character
ggobi.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated

Note that it's always a good idea to use desktop-file-validate.
It's your friend!

2.)

%description devel
GGobi headers

This is not very accurate. It also contains pkg-config file and symlink to library.

I would also say this is not very accurate:

Group:          Applications/System

Maybe Development/Libraries?

3.)

%files
...
%{_sysconfdir}/xdg/ggobi/ggobi

You should probably own %{_sysconfdir}/xdg/ggobi
By the way, isn't it a %config file?
Or maybe user-editable %config(noreplace)?

Builds in mock now; will continue review once built.
Comment 2 Lubomir Kundrak 2008-03-06 12:28:22 EST
4.) rpmlint of ggobi:

ggobi.x86_64: E: binary-or-shlib-defines-rpath
/usr/lib64/ggobi/plugins/ggvis/plugin.so.0.0.0 ['/usr/lib64']
ggobi.x86_64: E: binary-or-shlib-defines-rpath
/usr/lib64/ggobi/plugins/GraphLayout/plugin.so.0.0.0 ['/usr/lib64']
ggobi.x86_64: E: binary-or-shlib-defines-rpath
/usr/lib64/ggobi/plugins/VarCloud/plugin.so.0.0.0 ['/usr/lib64']
ggobi.x86_64: E: binary-or-shlib-defines-rpath
/usr/lib64/ggobi/plugins/DataViewer/plugin.so.0.0.0 ['/usr/lib64']
ggobi.x86_64: E: binary-or-shlib-defines-rpath
/usr/lib64/ggobi/plugins/DescribeDisplay/plugin.so.0.0.0 ['/usr/lib64']
ggobi.x86_64: E: binary-or-shlib-defines-rpath
/usr/lib64/ggobi/plugins/GraphAction/plugin.so.0.0.0 ['/usr/lib64']
ggobi.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/ggobi ['/usr/lib64']

Please nuke rpath as described here:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-a1dfb5f46bf4098841e31a75d833e6e1b3e72544

(I am wondering why didn't rpmlint complain about /etc/xdg/ggobi/ggobi not being
%config... probably there's something special about xdg?)

5.) By automated fedora-qa script; all complains seem reasonable to be this time:

* Each %files section should have a %defattr line
  (wiki: Packaging/ReviewGuidelines)
* Desktop file: the Categories tag should not contain X-Fedora any more
  (wiki: Packaging/Guidelines#desktop)
* Desktop file: the Categories tag should not contain Application any more
  (wiki: Packaging/Guidelines#desktop)
* Desktop file: the category Application is not valid
  (http://standards.freedesktop.org/menu-spec/latest/apa.html)
* Desktop file: the Icon tag should either use the full path to the icon or the
icon name without extension
  (wiki:Packaging/Guidelines#desktop)

Please address these.

Thanks!
Comment 3 Marek Mahut 2008-03-07 05:47:36 EST
Spec URL: http://mmahut.fedorapeople.org/reviews/ggobi/ggobi.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/ggobi/ggobi-2.1.7-1.fc8.src.rpm

- 1, 2, 4,5: resolved
- 3: removed xdg/ggobi/ggobi, it works fine without that ugly wrapper
Comment 4 Lubomir Kundrak 2008-03-07 07:16:05 EST
I see no other issues with the package

APPROVED
Comment 5 Lubomir Kundrak 2008-03-07 07:16:26 EST
Thanks for the package!
Comment 6 Marek Mahut 2008-03-07 08:47:57 EST
New Package CVS Request
=======================
Package Name: ggobi
Short Description: Open source visualization for exploring high-dimensional data
Owners: mmahut
Branches: F-8
InitialCC: astronomy-sig
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-03-07 12:59:13 EST
cvs done.
Comment 8 Marek Mahut 2008-03-10 05:59:01 EDT
Imported. Lubomir and Kevin, thank you very much!

Note You need to log in before you can comment on or make changes to this bug.